Bug 1125244 - hosted engine upgrade in a NFS setup leaves the engine status as 'unknown stale-data'
Summary: hosted engine upgrade in a NFS setup leaves the engine status as 'unknown sta...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-hosted-engine-ha
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Jiri Moskovcak
QA Contact: meital avital
URL:
Whiteboard: sla
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 12:13 UTC by Antoni Segura Puimedon
Modified: 2016-02-10 19:42 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:24:32 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30895 master MERGED properly set the FilesystemBackend parameters when using NFS Never
oVirt gerrit 31056 ovirt-hosted-engine-ha-1.2 MERGED properly set the FilesystemBackend parameters when using NFS Never

Description Antoni Segura Puimedon 2014-07-31 12:13:40 UTC
Description of problem:
When upgrading from 3.4 to 3.5, following the steps in:
    http://www.ovirt.org/Hosted_Engine_Howto#Upgrade_Hosted_Engine

After finishing all the steps, the engine status in --vm-status is reported
as 'unknown stale-data'.


Version-Release number of selected component (if applicable):
ovirt-hosted-engine-ha-1.2.1-0.2.master.20140725101556.fc20.noarch


How reproducible:
I only did it once, but talking with jmoskovc seems like it is something that
should reproduce.


Steps to Reproduce:
1. Follow the guide for the upgrade on an NFS setup
2. On the host with the engine VM do:
       hosted-engine --vm-status

Actual results:

--== Host 2 status ==--
Status up-to-date                  : False
Hostname                           : 10.34.63.180
Host ID                            : 2           
Engine status                      : unknown stale-data 
Score                              : 2000              
Local maintenance                  : False            
Host timestamp                     : 1406640293      
Extra metadata (valid at timestamp):                
 metadata_parse_version=1                          
 metadata_feature_version=1                       
 timestamp=1406640293 (Tue Jul 29 15:24:53 2014) 
 host-id=2                                      
 score=2000                                    
 maintenance=False                            
 bridge=True                                 
 cpu-load=0.0856                            
 engine-health={"health": "good", "vm": "up", "detail": "up"}
 gateway=True                                               
 mem-free=3192                                     


Expected results:
Engine status reports the status


Additional info:

Comment 1 Sandro Bonazzola 2014-10-17 12:24:32 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.